[gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/

2021-04-06 Thread Sam James
commit: 54ca721d5019ce15da2dd584e64e6d341c81ee71
Author: Sam James  gentoo  org>
AuthorDate: Tue Apr  6 23:10:58 2021 +
Commit: Sam James  gentoo  org>
CommitDate: Tue Apr  6 23:10:58 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54ca721d

games-fps/tribes2: games-util/loki_patch is a BDEPEND

Signed-off-by: Sam James  gentoo.org>

 games-fps/tribes2/tribes2-25034.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-fps/tribes2/tribes2-25034.ebuild 
b/games-fps/tribes2/tribes2-25034.ebuild
index 0822d3ca553..22567811496 100644
--- a/games-fps/tribes2/tribes2-25034.ebuild
+++ b/games-fps/tribes2/tribes2-25034.ebuild
@@ -19,13 +19,13 @@ KEYWORDS="-amd64 ~x86"
 RESTRICT="mirror bindist strip"
 
 DEPEND="
-   games-util/loki_patch
sys-libs/glibc
 "
 RDEPEND="
${DEPEND}
virtual/opengl
 "
+BDEPEND="games-util/loki_patch"
 
 dir=opt/${PN}
 Ddir="${ED}"/${dir}



[gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/

2021-04-06 Thread Sam James
commit: 145562a09630d956da651ab073acb6fb30a6d246
Author: Sam James  gentoo  org>
AuthorDate: Tue Apr  6 20:42:15 2021 +
Commit: Sam James  gentoo  org>
CommitDate: Tue Apr  6 20:42:52 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=145562a0

games-fps/tribes2: port to EAPI 7, games.eclass--

Signed-off-by: Sam James  gentoo.org>

 games-fps/tribes2/tribes2-25034.ebuild | 35 +-
 1 file changed, 17 insertions(+), 18 deletions(-)

diff --git a/games-fps/tribes2/tribes2-25034.ebuild 
b/games-fps/tribes2/tribes2-25034.ebuild
index b6863191127..0822d3ca553 100644
--- a/games-fps/tribes2/tribes2-25034.ebuild
+++ b/games-fps/tribes2/tribes2-25034.ebuild
@@ -1,12 +1,14 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit eutils unpacker cdrom games
+EAPI=7
+
+inherit cdrom desktop unpacker wrapper
 
 DESCRIPTION="Tribes 2 - Team Combat on an Epic Scale"
 HOMEPAGE="http://www.lokigames.com/products/tribes2/;
 SRC_URI="http://www.libsdl.org/projects/${PN}/release/${P}-cdrom-x86.run;
+S="${WORKDIR}"
 
 LICENSE="LOKI-EULA"
 SLOT="0"
@@ -14,21 +16,21 @@ SLOT="0"
 # time to try to figure it out but this definitely needs to stay -amd64 until
 # someone does fix the patching.
 KEYWORDS="-amd64 ~x86"
-IUSE=""
 RESTRICT="mirror bindist strip"
 
-DEPEND="sys-libs/glibc
-   games-util/loki_patch"
-RDEPEND="${DEPEND}
-   virtual/opengl"
-
-S=${WORKDIR}
+DEPEND="
+   games-util/loki_patch
+   sys-libs/glibc
+"
+RDEPEND="
+   ${DEPEND}
+   virtual/opengl
+"
 
-dir=${GAMES_PREFIX_OPT}/${PN}
-Ddir=${D}/${dir}
+dir=opt/${PN}
+Ddir="${ED}"/${dir}
 
 pkg_setup() {
-   games_pkg_setup
ewarn "The installed game takes about 507MB of space!"
 }
 
@@ -59,17 +61,14 @@ src_install() {
# now, since these files are coming off a cd, the times/sizes/md5sums 
wont
# be different ... that means portage will try to unmerge some files (!)
# we run touch on ${D} so as to make sure portage doesnt do any such 
thing
-   find "${Ddir}" -exec touch '{}' +
+   find "${Ddir}" -exec touch '{}' + || die
 
newicon "${CDROM_ROOT}"/icon.xpm tribes2.xpm
-   games_make_wrapper t2launch ./t2launch "${dir}" "${dir}"
+   make_wrapper t2launch ./t2launch "${dir}" "${dir}"
make_desktop_entry t2launch "Tribes 2" tribes2
-
-   prepgamesdirs
 }
 
 pkg_postinst() {
-   games_pkg_postinst
elog "To play the game run:"
elog " t2launch"
 }



[gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/

2019-09-15 Thread Michał Górny
commit: 5c3cefd84266fe164da7d0bca8b439ecced7f971
Author: Michał Górny  gentoo  org>
AuthorDate: Sun Sep 15 15:39:34 2019 +
Commit: Michał Górny  gentoo  org>
CommitDate: Sun Sep 15 15:51:15 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c3cefd8

games-fps/tribes2: Remove mirror://3dgamers

Signed-off-by: Michał Górny  gentoo.org>

 games-fps/tribes2/tribes2-25034.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/games-fps/tribes2/tribes2-25034.ebuild 
b/games-fps/tribes2/tribes2-25034.ebuild
index 9de54a92aaf..b6863191127 100644
--- a/games-fps/tribes2/tribes2-25034.ebuild
+++ b/games-fps/tribes2/tribes2-25034.ebuild
@@ -6,8 +6,7 @@ inherit eutils unpacker cdrom games
 
 DESCRIPTION="Tribes 2 - Team Combat on an Epic Scale"
 HOMEPAGE="http://www.lokigames.com/products/tribes2/;
-SRC_URI="http://www.libsdl.org/projects/${PN}/release/${P}-cdrom-x86.run
-   mirror://3dgamers/${PN}/${P}-cdrom-x86.run"
+SRC_URI="http://www.libsdl.org/projects/${PN}/release/${P}-cdrom-x86.run;
 
 LICENSE="LOKI-EULA"
 SLOT="0"



[gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/

2019-05-31 Thread Ulrich Müller
commit: af4c7570fc64f5929c8768fcdae9a0374b895f93
Author: Ulrich Müller  gentoo  org>
AuthorDate: Fri May 31 08:14:03 2019 +
Commit: Ulrich Müller  gentoo  org>
CommitDate: Fri May 31 08:24:07 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af4c7570

games-fps/tribes2: Add bindist restriction.

Bug: https://bugs.gentoo.org/665108
Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: Ulrich Müller  gentoo.org>

 games-fps/tribes2/tribes2-25034.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-fps/tribes2/tribes2-25034.ebuild 
b/games-fps/tribes2/tribes2-25034.ebuild
index 817ede1c391..9de54a92aaf 100644
--- a/games-fps/tribes2/tribes2-25034.ebuild
+++ b/games-fps/tribes2/tribes2-25034.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -16,7 +16,7 @@ SLOT="0"
 # someone does fix the patching.
 KEYWORDS="-amd64 ~x86"
 IUSE=""
-RESTRICT="mirror strip"
+RESTRICT="mirror bindist strip"
 
 DEPEND="sys-libs/glibc
games-util/loki_patch"



[gentoo-commits] repo/gentoo:master commit in: games-fps/tribes2/

2016-01-02 Thread Michael Sterrett
commit: 185c755be18e8949e0fa6a3c6c2ca8209afd619e
Author: Michael Sterrett  gentoo  org>
AuthorDate: Sat Jan  2 08:05:47 2016 +
Commit: Michael Sterrett  gentoo  org>
CommitDate: Sat Jan  2 08:05:47 2016 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=185c755b

games-fps/tribes2: EAPI=5; tidy

Package-Manager: portage-2.2.24

 games-fps/tribes2/tribes2-25034.ebuild | 15 ---
 1 file changed, 8 insertions(+), 7 deletions(-)

diff --git a/games-fps/tribes2/tribes2-25034.ebuild 
b/games-fps/tribes2/tribes2-25034.ebuild
index aba5b65..2bcad31 100644
--- a/games-fps/tribes2/tribes2-25034.ebuild
+++ b/games-fps/tribes2/tribes2-25034.ebuild
@@ -2,9 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
+EAPI=5
 inherit eutils unpacker cdrom games
 
-IUSE=""
 DESCRIPTION="Tribes 2 - Team Combat on an Epic Scale"
 HOMEPAGE="http://www.lokigames.com/products/tribes2/;
 SRC_URI="http://www.libsdl.org/projects/${PN}/release/${P}-cdrom-x86.run
@@ -16,6 +16,7 @@ SLOT="0"
 # time to try to figure it out but this definitely needs to stay -amd64 until
 # someone does fix the patching.
 KEYWORDS="-amd64 x86"
+IUSE=""
 RESTRICT="mirror strip"
 
 DEPEND="sys-libs/glibc
@@ -41,26 +42,26 @@ src_unpack() {
 src_install() {
einfo "Copying files... this may take a while..."
exeinto "${dir}"
-   doexe 
"${CDROM_ROOT}"/bin/x86/glibc-2.1/{t2launch,tribes2,tribes2.dynamic,tribes2d,tribes2d-restart.sh,tribes2d.dynamic}
 || die "doexe failed"
+   doexe 
"${CDROM_ROOT}"/bin/x86/glibc-2.1/{t2launch,tribes2,tribes2.dynamic,tribes2d,tribes2d-restart.sh,tribes2d.dynamic}
 
insinto "${dir}"
-   doins 
"${CDROM_ROOT}"/{README,README.tribes2d,Tribes2_Manual.pdf,console_start.cs,kver.pub}
 "${Ddir}" || die "copy failed"
+   doins 
"${CDROM_ROOT}"/{README,README.tribes2d,Tribes2_Manual.pdf,console_start.cs,kver.pub}
 "${Ddir}"
 
# Video card profiles
# TODO: move this to src_unpack where it belongs.
-   tar xzf ${CDROM_ROOT}/profiles.tar.gz -C "${Ddir}" || die 
"uncompressing profiles"
+   tar xzf ${CDROM_ROOT}/profiles.tar.gz -C "${Ddir}" || die
 
# Base (Music, Textures, Maps, etc.)
-   doins -r ${CDROM_ROOT}/base ${CDROM_ROOT}/menu || die "copying data"
+   doins -r ${CDROM_ROOT}/base ${CDROM_ROOT}/menu
 
cd "${S}"
loki_patch --verify patch.dat
-   loki_patch patch.dat "${Ddir}" >& /dev/null || die "patching"
+   loki_patch patch.dat "${Ddir}" >& /dev/null || die
 
# now, since these files are coming off a cd, the times/sizes/md5sums 
wont
# be different ... that means portage will try to unmerge some files (!)
# we run touch on ${D} so as to make sure portage doesnt do any such 
thing
-   find "${Ddir}" -exec touch '{}' \;
+   find "${Ddir}" -exec touch '{}' +
 
newicon "${CDROM_ROOT}"/icon.xpm tribes2.xpm
games_make_wrapper t2launch ./t2launch "${dir}" "${dir}"